> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# `POST /api/v1/payments/:id/complete`

> `POST /api/v1/payments/:id/complete`

### Path parameters

<ParamField path="id" type="string" required>
  Payment ID (UUID)
</ParamField>

### Responses

<ResponseField name="200" type="PaymentResponse">
  Payment marked as completed
</ResponseField>

<ResponseField name="404" type="ErrorBody">
  Payment not found
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/payments/{id}/complete' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "amount": "string",
    "amount_refunded": "string",
    "created_at": "2026-07-24T12:00:00Z",
    "currency": "string",
    "customer_id": null,
    "external_id": null,
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "order_id": null,
    "payment_method": "string",
    "payment_number": "string",
    "processor": null,
    "status": "string",
    "updated_at": "2026-07-24T12:00:00Z"
  }
  ```
</ResponseExample>
